// JavaScript Document
var links = [];
var currLoc = location.pathname;

function getPosition(string, subString, index) {
	return string.split(subString, index).join(subString).length;
}

//console.log('projects and nieuws');
$('.bq-crumbpath-projects, .bq-crumbpath-nieuws, .bq-crumbpath-vacatures').find('a').each(function() {
	var t = '';
	if ($(this).text().match(/[^\r\n]+/g) > 0) {
		t = $(this).text().split(/[^\r\n]+/g)[1].trim();
	} else {
		t = $(this).text();
	}
	if ($(this).attr('href').indexOf('https://www.bouwq.nl/') > -1) {
	    links.push([$(this).attr('href').replace('https://www.bouwq.nl',''),t]);
	} else 	
		if ($(this).attr('href').indexOf('https://bouwq-nl.opptylab.com/') > -1) {
			links.push([$(this).attr('href').replace('https://bouwq-nl.opptylab.com',''),t]);
		} else {
		    links.push([$(this).attr('href'),$(this).text().split('\n')[1].trim()]);
	}
	
});

$('.bq-menu').find('a').each(function() {
	var t = '';
	if ($(this).attr('href').indexOf('https://www.bouwq.nl/') > -1) {
	    links.push([$(this).attr('href').replace('https://www.bouwq.nl',''),$(this).children('span:first').text()]);
	} else 	
		if ($(this).attr('href').indexOf('https://bouwq-nl.opptylab.com/') > -1) {
			if ( $(this).children('span:first').text() !== 'Vacatures' ) {
				links.push([$(this).attr('href').replace('https://bouwq-nl.opptylab.com',''),$(this).children('span:first').text()]);
			}
		} else {
			if ( $(this).children('span:first').text() !== 'Vacatures' ) {
			    links.push([$(this).attr('href'),$(this).text().split('\n')[1].trim()]);
			}
	}
});


function makeCrumbNieuws(part, withLink) {
	var returnHTML = '';
	$.each(links, function(index, value) {
		if (value[0] == part) {
			var numberOfLineBreaks = (value[1].match(/\n/g)||[]).length;
			if (withLink) {
				returnHTML += '<div class="b-typography.paragraph bq-crumbpath-divider"><span data-attr="content"><p>/</p></span></div>';
				returnHTML += '<a class="b-basic.link bq-crumbpath-item" target="_self" href="/over-bouwq/nieuws"><span data-attr="content">Nieuws</span></a>';
			} else {
				returnHTML += '<div class="b-typography.paragraph bq-crumbpath-divider"><span data-attr="content"><p>/</p></span></div>';
				returnHTML += '<span data-attr="content">'+value[1]+'</span>';
			}
		}
	});
	return returnHTML;
}

function makeCrumb(part, withLink) {
	var returnHTML = '';
//    console.log("part: "+ part);
	$.each(links, function(index, value) {
		if (value[0] == part) {
			var numberOfLineBreaks = (value[1].match(/\n/g)||[]).length;
			if (withLink) {
				returnHTML += '<div class="b-typography.paragraph bq-crumbpath-divider"><span data-attr="content"><p>/</p></span></div>';
				returnHTML += '<a class="b-basic.link bq-crumbpath-item" target="_self" href="'+value[0]+'"><span data-attr="content">'+value[1]+'</span></a>';
			} else {
				returnHTML += '<div class="b-typography.paragraph bq-crumbpath-divider"><span data-attr="content"><p>/</p></span></div>';
				returnHTML += '<span data-attr="content">'+value[1]+'</span>';
			}
		}
	});
	return returnHTML;
}
function makeCrumbFloat(name) { // make a crumbpath for a floating page
	var returnHTML = '';
	returnHTML += '<div class="b-typography.paragraph bq-crumbpath-divider"><span data-attr="content"><p>/</p></span></div>';
	returnHTML += '<span data-attr="content">'+name+'</span>';
	return returnHTML;
}

function makeCrumbPrestatieladder(part, withLink) {
	var returnHTML = '';
	returnHTML += '<div class="b-typography.paragraph bq-crumbpath-divider"><span data-attr="content"><p>/</p></span></div>';
	returnHTML += '<span data-attr="content">CO2 -Prestatieladder</span>';
	return returnHTML;
}

var part = '';
var html2Add = '';
var i = currLoc.match(/\//g).length;

//console.log(i);
//console.log(currLoc);
//console.log(links);

// 1 - in list of any kind
if ( (i == 1) && (currLoc.indexOf('/projecten') !== -1) ) { 
	html2Add = makeCrumb('/projecten',false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}
if ( (i == 1) && (currLoc.indexOf('/dienstverlening') !== -1) ) { 
	html2Add = makeCrumb('/dienstverlening',false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}
if ( (i == 1) && (currLoc.indexOf('/students') !== -1) ) { 
	html2Add = makeCrumb('/students',false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}
if ( (i == 1) && (currLoc.indexOf('/contact') !== -1) ) { 
	html2Add = makeCrumb('/contact',false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}
if ( (i == 1) && (currLoc.indexOf('/wet-kwaliteitsborging') !== -1) ) {
	html2Add = makeCrumb('/wet-kwaliteitsborging',false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}
if ( (i == 1) && (currLoc.indexOf('/over-bouwq') !== -1) ) {
	html2Add = makeCrumb('/over-bouwq',false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}

// 1 - pages not in any list (floats)
if ( (i == 1) && (currLoc.indexOf('/brandveiligheidscan') !== -1) ) { 
	html2Add = makeCrumbFloat('Brandveiligheidscan',false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}
if ( (i == 1) && (currLoc.indexOf('/klachtenprocedure',false) !== -1) ) { 
	html2Add = makeCrumbFloat('Klachtenprocedure',false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}
if ( (i == 1) && (currLoc.indexOf('/afmelden') !== -1) ) { 
	html2Add = makeCrumbFloat('Afmelden',false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}
if ( (i == 1) && (currLoc.indexOf('/inschrijving-bevestigen',false) !== -1) ) { 
	html2Add = makeCrumbFloat('E-mail bevestiging');
	$(html2Add).appendTo( $('.bq-crumbpath') );
}

// 2
if ( (i == 2) && (currLoc.indexOf('/erkenningen-en-certificaten') !== -1) ) { 
	html2Add = makeCrumb('/over-bouwq',true);
	$(html2Add).appendTo( $('.bq-crumbpath') );
  	html2Add = makeCrumb(currLoc,false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}
if ( (i == 2) && (currLoc.indexOf('/projecten') !== -1) ) { 
	html2Add = makeCrumb('/projecten',true);
	$(html2Add).appendTo( $('.bq-crumbpath') );
	html2Add = makeCrumb(currLoc,false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}
if ( (i == 2) && (currLoc.indexOf('/geschiedenis') !== -1) ) {
	html2Add = makeCrumb('/over-bouwq',true);
	$(html2Add).appendTo( $('.bq-crumbpath') );
	html2Add = makeCrumb(currLoc,false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}
if ( (i == 2) && (currLoc.indexOf('/visie') !== -1) ) {
	html2Add = makeCrumb('/over-bouwq',true);
	$(html2Add).appendTo( $('.bq-crumbpath') );
	html2Add = makeCrumb(currLoc,false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}
if ( (i == 2) && (currLoc.indexOf('/missie-en-kernwaarden') !== -1) ) {
	html2Add = makeCrumb('/over-bouwq',true);
	$(html2Add).appendTo( $('.bq-crumbpath') );
	html2Add = makeCrumb(currLoc,false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}
if ( (i == 2) && (currLoc.indexOf('/wat-heeft-u-aan-bouwq') !== -1) ) {
	html2Add = makeCrumb('/over-bouwq',true);
	$(html2Add).appendTo( $('.bq-crumbpath') );
	html2Add = makeCrumb(currLoc,false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}
if ( (i == 2) && (currLoc.indexOf('/partnerships-van-bouwq') !== -1) ) { /* --- */
	html2Add = makeCrumb('/over-bouwq',true);
	$(html2Add).appendTo( $('.bq-crumbpath') );
	html2Add = makeCrumb(currLoc,false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}
if ( (i == 2) && (currLoc.indexOf('/algemene-werkwijze') !== -1) ) {
	html2Add = makeCrumb('/over-bouwq',true);
	$(html2Add).appendTo( $('.bq-crumbpath') );
	html2Add = makeCrumb(currLoc,false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}
if ( (i == 2) && (currLoc.indexOf('/werken-bij-bouwq') !== -1) ) {
    html2Add = makeCrumb('/over-bouwq' ,true);
	$(html2Add).appendTo( $('.bq-crumbpath') );
	html2Add = makeCrumb(currLoc,false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}
if ( (i == 2) && (currLoc.indexOf('/dienstverlening') !== -1) ) {
	html2Add = makeCrumb('/dienstverlening',true);
	$(html2Add).appendTo( $('.bq-crumbpath') );
	html2Add = makeCrumb(currLoc,false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}
if ( (i == 2) && (currLoc.indexOf('/over-bouwq/nieuws') !== -1) ) {
	html2Add = makeCrumb('/over-bouwq',true);
	$(html2Add).appendTo( $('.bq-crumbpath') );
	html2Add = makeCrumb(currLoc,false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}
if ( (i == 2) && (currLoc.indexOf('/bouwq360') !== -1) ) {
	if (currLoc.indexOf('/bouwq360/technische-deelgebieden') !== -1) {
	} else {
		html2Add = makeCrumb('/bouwq360/technische-deelgebieden',true);
		$(html2Add).appendTo( $('.bq-crumbpath') );
	}
	html2Add = makeCrumb(currLoc,false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}

if ( (i == 2) && (currLoc.indexOf('/wet-kwaliteitsborging/wet-kwaliteitsborging-tijdlijn') !== -1) ) {
	html2Add = makeCrumb('/wet-kwaliteitsborging',true);
	$(html2Add).appendTo( $('.bq-crumbpath') );
	html2Add = makeCrumbFloat('Wet kwaliteitsborging tijdlijn' ,false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}
if ( (i == 2) && (currLoc.indexOf('/wet-kwaliteitsborging/wkb-en-wijzigingen-in-het-vergunningsproces-en-toezicht') !== -1) ) {
	html2Add = makeCrumb('/wet-kwaliteitsborging',true);
	$(html2Add).appendTo( $('.bq-crumbpath') );
	html2Add = makeCrumbFloat('Wet kwaliteitsborging tijdlijn' ,false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}

// 3
if ( (i == 3) && (currLoc.indexOf('/blog') !== -1) && (currLoc.indexOf('/projecten') !== -1) ) { 
	html2Add = makeCrumb('/projecten',true);
	$(html2Add).appendTo( $('.bq-crumbpath') );
	html2Add = makeCrumb(currLoc,false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}
if ( (i == 3) && (currLoc.indexOf('/blog') !== -1) && (currLoc.indexOf('/nieuws') !== -1) ) { 
	// als er in de slug 'blog en nieuws staat dan willen we een kruimelpad > Home / Nieuws / Titel
	html2Add = makeCrumbNieuws('/over-bouwq/nieuws',true);
	$(html2Add).appendTo( $('.bq-crumbpath') );
	html2Add = makeCrumb(currLoc,false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}

if ( (i == 3) && (currLoc.indexOf('/over-bouwq') !== -1) && (currLoc.indexOf('/werken-bij-bouwq') !== -1) ) { 
  	html2Add = makeCrumb('/over-bouwq',true);
	$(html2Add).appendTo( $('.bq-crumbpath') );
  	html2Add = makeCrumb('/over-bouwq/werken-bij-bouwq',true);
	$(html2Add).appendTo( $('.bq-crumbpath') );
	html2Add = makeCrumb(currLoc,false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}


if ( (i == 3) && (currLoc.indexOf('/over-bouwq') !== -1) && (currLoc.indexOf('/erkenningen-en-certificaten') !== -1) && (currLoc.indexOf('/co2-prestatieladder') !== -1) ) { 
  	html2Add = makeCrumb('/over-bouwq',true);
	$(html2Add).appendTo( $('.bq-crumbpath') );
  	html2Add = makeCrumb('/over-bouwq/erkenningen-en-certificaten',true);
	$(html2Add).appendTo( $('.bq-crumbpath') );
	html2Add = makeCrumbFloat('co2-prestatieladder',false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}




/*if ( (i == 3) && (currLoc.indexOf('/over-bouwq') !== -1) ) { 
	html2Add = makeCrumb('/over-bouwq',true);
	$(html2Add).appendTo( $('.bq-crumbpath') );
 	html2Add = makeCrumbVacature('Vacature',true);
	$(html2Add).appendTo( $('.bq-crumbpath') );
	html2Add = makeCrumb(currLoc,false);
	$(html2Add).appendTo( $('.bq-crumbpath') );
}*/

// Highlight current location in dropdown menu if there is a match on the url
$('.bq-menu-item-level-two').find('a').each(function() {
//	console.log(currLoc);
//	console.log($(this).attr('href'));
	var t = '';
	
	if ( currLoc.indexOf($(this).attr('href')) > -1 ) {
	}
	if ($(this).attr('href').indexOf('https://bouwq-nl.opptylab.com/') > -1) {	
//		menuHighlight.push([$(this).attr('href').replace('https://bouwq-nl.opptylab.com',''),$(this).children('span:first').text()]);
	} else {
//	    menuHighlight.push([$(this).attr('href'),$(this).text().split('\n')[1].trim()]);
	}
});
